System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Property)

The object that is passed in as a parameter of the object is used by the parser as the type of object that is used in data-binding expressions. The control whose property returns an interface and is marked with the , must implement the interface.

For more information about using attributes, see Extending Metadata Using Attributes.

Declares the base type of the container control of a property that returns an interface and is marked with the attribute. The control with the property must implement the interface. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class using the specified container type.

  The for the container control.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class using the specified container type and the property.

  The for the container control.
- Property
  2.0.0.0
  System.ComponentModel.BindingDirection To be added.

  The property can be either the field, where the template can accept only property values or the field, where the template can accept and expose property values. In the latter scenario, data-bound controls automatically can use the update, delete, and insert operations of a data source using the Bind data-binding syntax.

  For more information on data binding, see ASP.NET Data Binding and Data-Binding Expression Syntax.

  Gets the binding direction of the container control.

- Property
  System.Type To be added: an object of type 'Type' To be added

  Gets the container control type.

  1.0.5000.0
  2.0.0.0